Purchase Invoice Delivery

The purchase invoice delivery resource.

Basehttps://rest.carbon.ms/purchaseInvoiceDelivery
GET/purchaseInvoiceDelivery

List purchase invoice deliverys

Retrieve a paginated list of purchase invoice deliverys. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/purchaseInvoiceDelivery
curl --request GET \
  --url 'https://rest.carbon.ms/purchaseInvoiceDelivery?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "supplierShippingCost": 0,
    "companyId": "xyz789",
    "locationId": "xyz789",
    "shippingMethodId": "xyz789",
    "shippingTermId": "xyz789",
    "updatedBy": "string",
    "updatedAt": "2026-01-01T00:00:00Z"
  }
]
GET/purchaseInvoiceDelivery

Retrieve a purchase invoice delivery

Fetch a single purchase invoice delivery by filtering on `id`.

Query parameters

idstring

Match on the purchase invoice delivery's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/purchaseInvoiceDelivery
curl --request GET \
  --url 'https://rest.carbon.ms/purchaseInvoiceDelivery?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "supplierShippingCost": 0,
  "companyId": "xyz789",
  "locationId": "xyz789",
  "shippingMethodId": "xyz789",
  "shippingTermId": "xyz789",
  "updatedBy": "string",
  "updatedAt": "2026-01-01T00:00:00Z"
}
POST/purchaseInvoiceDelivery

Create a purchase invoice delivery

Create a new purchase invoice delivery.

Body parameters

locationIdstring

References location.id

shippingMethodIdstring

References shippingMethod.id

shippingTermIdstring

References shippingTerm.id

supplierShippingCostnumberrequired
companyIdstringrequired
customFieldsobject
incotermstring
incotermLocationstring
POSThttps://rest.carbon.ms/purchaseInvoiceDelivery
curl --request POST \
  --url https://rest.carbon.ms/purchaseInvoiceDelivery \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"supplierShippingCost":0,"companyId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "supplierShippingCost": 0,
  "companyId": "xyz789",
  "locationId": "xyz789",
  "shippingMethodId": "xyz789",
  "shippingTermId": "xyz789",
  "updatedBy": "string",
  "updatedAt": "2026-01-01T00:00:00Z"
}
PATCH/purchaseInvoiceDelivery

Update a purchase invoice delivery

Update an existing purchase invoice delivery, matched on `id`.

Body parameters

locationIdstring

References location.id

shippingMethodIdstring

References shippingMethod.id

shippingTermIdstring

References shippingTerm.id

supplierShippingCostnumberrequired
companyIdstringrequired
customFieldsobject
incotermstring
incotermLocationstring
PATCHhttps://rest.carbon.ms/purchaseInvoiceDelivery
curl --request PATCH \
  --url 'https://rest.carbon.ms/purchaseInvoiceDelivery?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"locationId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "supplierShippingCost": 0,
  "companyId": "xyz789",
  "locationId": "xyz789",
  "shippingMethodId": "xyz789",
  "shippingTermId": "xyz789",
  "updatedBy": "string",
  "updatedAt": "2026-01-01T00:00:00Z"
}
DELETE/purchaseInvoiceDelivery

Delete a purchase invoice delivery

Delete a purchase invoice delivery, matched on `id`. Returns 204 No Content.

Query parameters

idstring

The `id` of the purchase invoice delivery to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/purchaseInvoiceDelivery
curl --request DELETE \
  --url 'https://rest.carbon.ms/purchaseInvoiceDelivery?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content